
From: Matt Mackall <mpm@selenic.com>

This patch series introduced a new pair of CONFIG_EMBEDDED options call
CONFIG_BASE_FULL/CONFIG_BASE_SMALL.  Disabling CONFIG_BASE_FULL sets the
boolean CONFIG_BASE_SMALL to 1 and it is used to shrink a number of core data
structures.  The space savings for the current batch is around 14k.

This patch:

Add CONFIG_BASE_SMALL for miscellaneous core size that don't warrant
their own options. Example users to follow.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/init/Kconfig |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN init/Kconfig~base-small-introduce-the-config_base_small-flag init/Kconfig
--- 25/init/Kconfig~base-small-introduce-the-config_base_small-flag	2005-02-22 18:16:57.000000000 -0800
+++ 25-akpm/init/Kconfig	2005-02-22 18:16:57.000000000 -0800
@@ -257,6 +257,18 @@ config KALLSYMS_EXTRA_PASS
 	   reported.  KALLSYMS_EXTRA_PASS is only a temporary workaround while
 	   you wait for kallsyms to be fixed.
 
+config BASE_FULL
+	default y
+	bool "Enable full-sized data structures for core" if EMBEDDED
+	help
+	  Disabling this option reduces the size of miscellaneous core
+	  kernel data structures.
+
+config BASE_SMALL
+	int
+	default 0 if BASE_FULL
+	default 1 if !BASE_FULL
+
 config FUTEX
 	bool "Enable futex support" if EMBEDDED
 	default y
_
